Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Mise à jour Plasma 6 sur TW... Quelques questionnements... (Lu 20654 fois) sujet précédent - sujet suivant

Mise à jour Plasma 6 sur TW... Quelques questionnements...

Bonjour à toutes et tous,

J'ai pas "osé" (jugé pertinent) de mettre cette question dans le fil épinglé car on peut pas réellement dire que c'est un "bug" de Plasma 6 et que les configurations sont tellement différentes...
---
J'ai un portable sous TW (KDE + X11) et la mise a jour de plasma 6 m'est bien entendue proposée (plus de 1600 paquets)
Lorsque je fais un "zypper dup" voici les "problèmes" qu'il me propose de régler un a un ...
Alienware:~ # zypper dup
Loading repository data...
Reading installed packages...
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
Computing distribution upgrade...
26 Problems:
Problem: problem with the installed kcm_tablet-3.2.0-28.62.x86_64
Problem: problem with the installed kcm_tablet-lang-3.2.0-28.62.noarch
Problem: the installed kwin5-5.27.11-516.1.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed plasma5-workspace-5.27.11-1.1.x86_64 requires 'libQt5Gui.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed xdg-desktop-portal-kde-5.27.11-261.1.x86_64 requires 'libQt5PrintSupport.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5Gui5-5.15.12+kde151-1.1.x86_64 requires 'libQt5DBus5 = 5.15.12+kde151', but this requirement cannot be provided
Problem: the installed plasma5-workspace-5.27.11-1.1.x86_64 requires 'libQt5WaylandClient.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5PrintSupport5-5.15.12+kde151-1.1.x86_64 requires 'libQt5Widgets.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the to be installed spectacle-24.02.0-1.1.x86_64 requires 'libKF6GuiAddons.so.6()(64bit)', but this requirement cannot be provided
Problem: the to be installed patterns-kde-kde_plasma-20240311-1.1.noarch requires 'plasma6-session', but this requirement cannot be provided
Problem: the to be installed kdeconnect-kde-24.02.0-3.1.x86_64 requires 'qt6qmlimport(org.kde.plasma.core)', but this requirement cannot be provided
Problem: the to be installed okular-24.02.0-1.1.x86_64 requires 'libKF6Purpose.so.6()(64bit)', but this requirement cannot be provided
Problem: the installed libQt5Gui5-5.15.12+kde151-1.1.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed kwin5-5.27.11-516.1.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed kwin5-5.27.11-516.1.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the to be installed layer-shell-qt5-5.27.11-77.3.x86_64 requires 'libQt5WaylandClient.so.5(Qt_5.15.13_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the to be installed libqt5-qtwayland-5.15.13+kde60-1.1.x86_64 requires 'libQt5WaylandClient.so.5(Qt_5.15.13_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the to be installed libKF5SonnetUi5-5.115.0-302.10.x86_64 requires 'libQt5Gui5 >= 5.15.13+kde138', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed libQt5WaylandClient5-5.15.12+kde60-1.2.x86_64 requires 'libQt5Core.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided
Problem: the installed plasma5-workspace-5.27.11-1.1.x86_64 requires 'libQt5Gui.so.5(Qt_5.15.12_PRIVATE_API)(64bit)', but this requirement cannot be provided


Keske vous en pensez ?
Je peux me lancer quand même ?
Sachant que dans le détail , le plus souvent l'option de changer de dépôt m'est proposée ... Genre de KDE vers Opensuse ou des trucs comme ça .... (je voulais pas faire une copie de chaque option pour les 26 erreurs mais s'il faut ... Je peux)

Amicalement et merci
Philippe

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #1
Tu peux te lancer. :)

Tu as évidemment une sauvegarde de tes données.

Vu que tout ton système va passer en 6 zypper te préviens qu'il va upgrader tout ce qui est encore en libQt5 vers libQt6 et que ça va impacter les logiciels en place.

Pour plus de confort, désactive (si tu en as) les dépôts qui ne sont pas ceux d'origine, fais ta mise à jour et si tout roule, réactive un à un les dépôts supplémentaires.


à plus,
oh!rocks

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #2
Salut,
Tu as bien lu qu'il faut faire la mise à jour sans se connecter à l'interface graphique, en passant par une console tty ?
Si ce n'est pas ainsi que tu as fait, recommence : tu redémarres le PC, quand tu arrives sur l'écran de login sddm (si tu avais activé la connexion automatique, désactive-la puis recommence) tu fais Ctrl-Alt-F4 (ou F2 ou une autre touche F? qui t'amène sur une console tty) ensuite tu te connectes en mettant ton identifiant + mot de passe utilisateur si ton utilisateur a sudo sinon tu peux te connecter avec l'identifiant root + mot de passe root si ça existe sur ton système.
Une fois fais, tu exécutes zypper ref puis zypper dup pour voir si tu as le même retour.
Pour kde-connect il y a un bug en cours qui fait que s'il est installé et que tu n'as pas le bluetooth , la session sous plasma sera longue à démarrer.
Ceci dit si tu as les mêmes messages, je me dis que tu as peut-être des logiciels issus de dépôts externes comme packman ou autre et que le passage à plasma6 propose de remplacer des version qt5 en qt6 de certaines librairies, ce qui ne leur va pas ?

C'est très important pour cette mise à jour vers Plasma 6 de la faire depuis une console tty et non pas depuis konsole sur une session KDE démarrée.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #3
Salut @oh!rocks ,

Merci pour ta réponse rapide !
Je me doutais bien qu'il voulait m'avertir ....
Oki, je vais me lancer du coup probablement ce soir en rentrant ou un de ces soirs.
--
C'est un peu plus compliqué sur ce portable car lorsque je passe en init 3 je perds la connexion réseau et il faut que je relance Networkmanager à la main et j'ai toujours un peu la pétoche que ça aille pas au bout...
Bref...
A propos des dépôts exotiques oui, j'en ai et c'est vrai que je désactive pas tout le temps les dépôts... Flemme...
Mais là, je vais le faire au vu des messages à propos de cette MàJ
Amicalement
Philippe

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #4
Salut @chalu ,

Oui, t'inquiètes pas, j'ai bien lu les messages depuis la semaine dernière (je suis un lecteur assidu du forum...  :))
Et j'ai même posté un message sur le fil de l'épinglé à propos de ma problématique en TTY ... Sur ce portable, même en connexion filaire, je suis obligé de démarrer à la main Networkmanager si je "monte" pas en bureau graphique.

Comme je disais à @oh!rocks je vais tenter ce soir ou un de ces soir en rentrant et comme Murphy is Stil Alive ... Je pense que je vais revenir vers le forum assez rapidement ...  :))

Merci pour ton message d'alerte en tout cas !

Amicalement
Philippe


Salut,
Tu as bien lu qu'il faut faire la mise à jour sans se connecter à l'interface graphique, en passant par une console tty ?
Si ce n'est pas ainsi que tu as fait, recommence : tu redémarres le PC, quand tu arrives sur l'écran de login sddm (si tu avais activé la connexion automatique, désactive-la puis recommence) tu fais Ctrl-Alt-F4 (ou F2 ou une autre touche F? qui t'amène sur une console tty) ensuite tu te connectes en mettant ton identifiant + mot de passe utilisateur si ton utilisateur a sudo sinon tu peux te connecter avec l'identifiant root + mot de passe root si ça existe sur ton système.
Une fois fais, tu exécutes zypper ref puis zypper dup pour voir si tu as le même retour.
Pour kde-connect il y a un bug en cours qui fait que s'il est installé et que tu n'as pas le bluetooth , la session sous plasma sera longue à démarrer.
Ceci dit si tu as les mêmes messages, je me dis que tu as peut-être des logiciels issus de dépôts externes comme packman ou autre et que le passage à plasma6 propose de remplacer des version qt5 en qt6 de certaines librairies, ce qui ne leur va pas ?

C'est très important pour cette mise à jour vers Plasma 6 de la faire depuis une console tty et non pas depuis konsole sur une session KDE démarrée.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #5
@Philoupes : alors pour minimiser les soucis, tu peux tenter de faire la mise à jour en utilisant le bureau de secours Icew je ne sais plus quoi...

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #6
@chalu
Ha ... Pourquoi pas ... C'est possible ça ?
En gros faut que je lance XCFE en graphique puis j'ouvre une console et je fais en root le zypper ref et zypper dup ?
Right ?
Philippe

 

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #7
Hello,

je te conseille de faire les mises à jour en console.

Si tu as un doute vérifie la manip avant , mais quand tu es sûr de ton coup elle marchera en principe sans soucis.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #8
Bonjour @manchette

Oui, depuis que j'ai TW je fais toujours les MàJ en console et en utilisant Zypper REF et DUP.
Mais habituellement, les MàJ quotidiennes ne nécessitaient pas qu'on passe en INIT 3 (ou qu'on monte pas en bureau graphique)
Autant ça pose pas de problème sur mon ordinateur fixe (d'ailleurs j'ai mis un post à propos de sa mise à jour ce matin sur le fil épinglé)
Autant sur ce portable spécifiquement, lorsque je passe en INIT 3 et qu'il n'y a aucune session graphique ouverte bé, j'ai pas de connexion Internet... Malgré que je sois en Ethernet filaire hein....
Faut que je lance Networkmanager à la main... C'est un peu contraignant comme je disais et quelques fois y  a des mises à jour de lui même qui te déconnecte et du coup j'ai un peu la pétoche que ça foute la grouille....
Mais j'ai vu qu'il y avait une option dans Zypper qui permet de tout télécharger la mise à jour avant de lancer la MàJ en elle même et du coup ça pourrait calmer mon ulcère de stress ça ....  :))
Amicalement
Philippe

Hello,

je te conseille de faire les mises à jour en console.

Si tu as un doute vérifie la manip avant , mais quand tu es sûr de ton coup elle marchera en principe sans soucis.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #9
@Philoupes : pour télécharger les paquets de la mise à jour sans les installer :

zypper dup -d

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #10
Oki doki !
Je viens de "terminer" la mise à jour de mon portable avec TW...
Bé !
Bonne galère quand même ...
Je vais répéter un peu les bug que j'ai trouvé mais finalement ça ressemble beaucoup à ceux sur le fil épinglé.
-
- Dès le redémarrage c'est un autre SDDM pabô qui arrive mais pas le même qu'avec le gros clavier pabô... Un autre...
=> Je suis pas arrivé a remettre mon ancien qui me plaisait trop... (déception amère)
- Dès le 1er logging, c'est un doux mélange de Français et d'Anglais avec le même problème initial d'impossibilité de mettre directement le Français...
Et là...
YAST ne démarre pas en mode graphique.... ça aide pas ...
- Donc : Yast en mode console sur fond bleu et réinstall de quelques "machins" qui manquait... (3 ou 4 lib) me rappelle plus...
- Changement de langue vers US puis redémarrage puis retour a changement vers Français, maintenant possible...
- Firefox en anglais ... Bon, facile ça ... ça rrive de temps en temps...
- Un truc énervant c'est que effectivement des optimisation comme le simple clic pour ouvrir un répertoire ou lancer un programme avaient disparues... Bref, facile a remettre mais un peu ennuyant tout de même ...
Faut faire le tour de son système de fond en comble pour remettre les choses comme on les avaient auparavant...
-
J'ai testé Wayland, c'est illisible chez moi...
-
Mais X11 fonctionne correctement (rapide et fluide)
-
Plus emmm... VLC démarre et se ferme immédiatement avec certain MP4 (pas encore eu le temps de chercher où est l'erreur)
...
Bon, Samsuffi pour ce soir...
Je reviens demain si j'en trouve encore...
Amicalement et bonne soirée
Philippe


Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #11
@Philoupes : le simple clic  :)) Le truc le plus idiot, c'est qu'il s'offre à nous, à l'ouverture, sur la première page de la Configuration du système, nommée Paramétrage rapide. Je ne sais pas comment ils se débrouillent pour que nous passions à côté et pour que nous nous sentions obligés de plonger dans le menu  :))  où nous finirons par découvrir qu'il est aussi question du simple-clic, ou plutôt du double-clic  ::) , dans Comportement général.

Tiens, au passage, sur cette même première page, dans la rubrique Pages les plus utilisées, le lien vers la Configuration de Krunner est inactif.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #12
Sur VBox, a mise à niveau de Tumblewwed. s'est bien passée, mais c'est bêta, Plasma6-session avait été oublié ainsi que X11. D'où au redémarrage, bureau iceWm sous Wayland. Une fois les deux paquets manquants installés, tout roule.

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #13
Franchement vous cherchez les ennuis aussi je trouve : tw + plasma6 faut avoir le temps, et en prime on sait que pour un nouvel environnement graphique il peut y avoir des failles intersidérales, donc là je dis :
"Ya pas le feu au lac" :)

https://www.youtube.com/watch?v=9-ikuoiGN7I

Re : Mise à jour Plasma 6 sur TW... Quelques questionnements...

Répondre #14
Coucou à tous,

Encore des news... Effectivement après avoir installé quelques "pièces" manquante le bureau va beaucoup mieux.
-
A propos de VLC, je sais pas pourquoi mais il m'a été installé de force et à l'insu de mon plein gré une version VLC-Beta ....
Une fois cette dernière désinstallée et la version de prod de VLC installé y a plus de soucis avec les vidéos...
---
Me reste à régler comment changer l'écran SDDM PABÔ .... Je voudrais remettre le mien d'avant mais ça veut même pas en mettre un proposé ... ça ...

Donc, a part quelques icônes bizarres dans la Tray = notification, bluetooh, et luminosité) ça ressemble juste a une petite feuille de papier au bord inf droit replié... Doit manquer encore une lib quelqconque...

Allez, a pluche ...
Philippe